GMKPATH = ..
include $(GMKPATH)/Makefile.config

CFLAGS = -I.. -I../libem -I../nlib -I$(MILTER_INCDIR) $(COPT)
LDFLAGS = $(LDFL) -L.. -lfwall -L$(MILTER_LIBDIR) -lci_milter $(AUXLIB)

BINOBJS = pop3-gw
MANOBJS = pop3-gw.8
PGWOBJS = pop3-gw.o
TABOBJS = transaction.h
ALLOBJS = $(TABOBJS) $(PGWOBJS) $(BINOBJS) $(MANOBJS)

all: $(ALLOBJS)

$(PGWOBJS): $(TABOBJS)

pop3-gw: $(PGWOBJS) ../libfwall.a  
	$(OFWTKLINK) $(PGWOBJS)

$(TABOBJS): transaction.tab
	cat transaction.tab |../nlib/maketable -H transaction 15 >transaction.h
